import React from 'react';
import { Modal, Divider, Card } from 'antd';

import './modal.less';
import defaultSrc from './水源井.svg';

class pandaModal extends React.Component {
    constructor(props) {
        super(props);
        this.state = {
            data: this.props.data,
            visible: this.props.visible || false,
            title: this.props.title || "图片选择",
            footer: this.props.footer || null,
            onCancel: this.props.onCancel || (() => {
                this.setState({
                    visible: false
                })
            }),
            onOk: this.props.onOk || (() => { }),
            afterClose: this.props.afterClose || (() => { }),//Modal关闭的回调
            iconName: this.props.iconName || "",//图标名称
            selectIcon: this.props.iconName || "",//选中的名称
        }
    }

    componentWillReceiveProps = (nextProps) => {
        this.setState({
            visible: true
        })
    }

    render() {
        const gridStyle = {
            width: '25%',
            textAlign: 'center',
        };
        const iconStr = this.state.data.map((item, index) => {
            return <div className={'modalCenter'} key={'case_' + index}>
                <Divider orientation="left">{item.text}</Divider>
                {
                    item.list.map((list, i) => {
                        return <Card.Grid style={gridStyle} className={this.state.selectIcon == list.text.split('.')[0] ? 'cardList active' : 'cardList'}><div className={'iconList'} onClick={(() => {this.state.onOk(list); this.setState({selectIcon: list.text.split(".")[0]})})}><img src={defaultSrc} /><span>{list.text.split(".")[0]}</span></div></Card.Grid>
                    })
                }
            </div>
        })
        // const iconStr = <div key={'case_'}>
        //         <Divider orientation="left">Left Text</Divider>
        //         <Card.Grid style={gridStyle}>Content</Card.Grid>
        //         <Card.Grid hoverable={false} style={gridStyle}>
        //         Content
        //         </Card.Grid>
        //         <Card.Grid style={gridStyle}>Content</Card.Grid>
        //         <Card.Grid style={gridStyle}>Content</Card.Grid>
        //         <Card.Grid style={gridStyle}>Content</Card.Grid>
        //         <Card.Grid style={gridStyle}>Content</Card.Grid>
        //         <Card.Grid style={gridStyle}>Content</Card.Grid>
        //     </div>
        return <Modal key={'modalBox'} title={this.state.title} visible={this.state.visible} onOk={this.state.onOk} onCancel={this.state.onCancel} footer={this.state.footer} width={800}>
            <div key={'modalIconBox'} className={'modalIconBox'}>{iconStr}</div>
        </Modal>
    }
}
export default pandaModal;
